{% extends "templates/inc/_base.twig" %}

{% block main %}

<main class="main">
  <nav class="strip strip--blog">
    <div class="container">
      <ul class="strip__menu strip__menu--blog list-reset">
        {% for item in menu.hero.items %}
          <li {% if item.classes[0] == 'blog' %}class="active"{% endif %}><a href="{{ item.link }}">
            {% if item.classes[0] == 'home' %}
              {% include 'templates/inc/icons/_icons.home.twig' ignore missing %}
            {% elseif item.classes[0] == 'blog' %}
              {% include 'templates/inc/icons/_icons.news.twig' ignore missing %}
            {% elseif item.classes[0] == 'learn' %}
              {% include 'templates/inc/icons/_icons.graduation-cap.twig' ignore missing %}
            {% elseif item.classes[0] == 'use-cases' %}
              {% include 'templates/inc/icons/_icons.lightbulb.twig' ignore missing %}
            {% endif %}
            {{ item.title }}</a></li>
        {% endfor %}
      </ul>
    </div>
  </nav>

  <section class="section">
    <div class="container">
      <div class="content">
        <ol class="breadcrumbs list-reset">
          {% for item in breadcrumbs.items %}
            <li><a href="{{ item.link }}">{{ item.title }}</a></li>
          {% endfor %}
          <li><a href="{{ category.url }}">{{ category.name }}</a></li>
          <li>{{ post.title }}</li>
        </ol>

        <h1>{{ post.title }}</h1>

        <div class="row">
          <div class="col-sm-6">
            <div class="mb-2x mb-sm-4x">
              By <a href="{{ post.author.link }}"><dl class="author"><dt><span>{{ function('initials', post.author) }}</span></dt><dd>{{ post.author }}</dd></dl></a> on {{ post.date|date('F j, Y') }}
            </div>
          </div>
          <div class="col-sm-6 text-right-sm mb-2x mb-sm-0x">
            {{ function('ADDTOANY_SHARE_SAVE_KIT')}}
          </div>
        </div>

      </div>
      <img srcset="{{ post.thumbnail.src|resize(1140, 1140/post.thumbnail.aspect) }},
      {{ post.thumbnail.src }} 2x"
        src="{{ post.thumbnail.src|resize(1140, 1140/post.thumbnail.aspect) }}" alt="{{ post.thumbnail.alt }}" class="img-responsive" width="1140" height="{{ 1140/post.thumbnail.aspect }}">
      <div class="content">
        {{ post.content }}
      </div>
    </div>
  </section>

  <section class="section">
    <div class="container">
      <h2>Related articles</h2>
      <div class="row row--vertical">
        {% for post in related %}
          <div class="col-xs-6 col-md-3">
            <a class="card card-link" href="{{ post.link }}">
              <img srcset="{{ post.thumbnail.src|resize(360, 240) }},
                {{ post.thumbnail.src|resize(720, 480) }} 2x"
                src="{{ post.thumbnail.src|resize(360, 240) }}"
                alt="{{ post.thumbnail.alt }}"
                class="img-responsive card__img"
                width="360"
                height="238">
              <h4>{{ post.title }}</h4>
              <p>{{ post.preview|truncate(12) }}</p>
              <dl class="card__author">
                <dt><span>{{ function('initials', post.author) }}</span></dt>
                <dd>{{ post.author }}</dd>
              </dl>
            </a>
          </div>
        {% endfor %}
      </div>
    </div>
  </section>

  <section class="section">
    <div class="container container--sm">
      <ul class="comments= list-reset">
        {% for comment in post.comments %}
          <li class="comment__item">
            <div class="comment__main">
              <dl class="comment__author">
                <dt>
                  <img class="img-responsive" src="{{comment.avatar(56, 'https://www.gravatar.com/avatar/00000000000000000000000000000000?d=mp&amp;f=y')}}" alt="{{comment.author.name}}" width="56" height="56"/>
                </dt>
                <dd>
                  <h6 class="comment__name">{{ comment.author.name }}</h6>
                  <div class="comment__time">
                    {{ comment.date }} at {{ comment.time}}
                  </div>
                </dd>
              </dl>
              <div class="comment__content">{{ comment.content }}</div>
            </div>
            <footer class="comment__footer">
              {{ comment.reply_link }}
            </footer>
          <li>
        {% endfor %}
      </ul>
     {{ function('comment_form') }}
    </div>
  </section>
</main>

{% endblock %}
